@echo off

rem ============================================================
rem Запуск автоматичного клієнта "iBank 2 UA"
rem ============================================================

call setEnvironment
call setClasspath

rem Необхідність вивантаження повного набору полів відповідно до стандарту ISO 20022 у файл експорту
set ALL_FIELDS=no

set NAME=
set SCRIPT_NAME=export.bsh
set LOG_NAME=export.log

"%JAVA%" %LOG_CONF% -Dfile.encoding=windows-1251 -classpath "%CP%" -Dibank.root="%IBANK_HOME%" -Dbegin.date=%1 -Dend.date=%2 -Dall.fields=%ALL_FIELDS%^
 ua.com.dbosoft.autoclient.app.ClientEmulator %SCRIPT_NAME% %NAME%

@echo on
